Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.mycarenet.attestv3.builders.impl
Class RequestObjectBuilderImpl

    java.lang.Object
      be.ehealth.businessconnector.mycarenet.attestv3.builders.impl.RequestObjectBuilderImpl

All Implemented Interfaces:
  RequestObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

    public class RequestObjectBuilderImpl

extends Object
implements RequestObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

See Also:
  `RequestObjectBuilder`

Constructor Summary
`RequestObjectBuilderImpl()`

Method Summary
`void` | `bootstrap()`
`CancelAttestationRequest` | `buildCancelAttestationRequest(CancelAttestationRequestInput cancelAttestationRequestInput)` Create the CancelAttestationRequest that will be sent to the EHealth Web service
`EncryptedRequestHolder<SendAttestationRequest>` | `buildSendAttestationRequest(SendAttestationRequestInput sendAttestationRequestInput)` Creates the SendAttestationRequest that will be sent to the EHealth Web service

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestObjectBuilderImpl

    public RequestObjectBuilderImpl()

Method Detail

### buildSendAttestationRequest

    public EncryptedRequestHolder<SendAttestationRequest> buildSendAttestationRequest(SendAttestationRequestInput sendAttestationRequestInput)
                                                                               throws TechnicalConnectorException

  Description copied from interface: `RequestObjectBuilder`
  Creates the SendAttestationRequest that will be sent to the EHealth Web service

  Specified by:
    `buildSendAttestationRequest` in interface `RequestObjectBuilder`
  Parameters:
    `sendAttestationRequestInput` - the object that holds the request input parameters
  Returns:
    a wrapper containing the valid request that will be sent to the WS and the businessContent before encryption
  Throws:
    `TechnicalConnectorException`

### buildCancelAttestationRequest

    public CancelAttestationRequest buildCancelAttestationRequest(CancelAttestationRequestInput cancelAttestationRequestInput)
                                                           throws TechnicalConnectorException

  Description copied from interface: `RequestObjectBuilder`
  Create the CancelAttestationRequest that will be sent to the EHealth Web service

  Specified by:
    `buildCancelAttestationRequest` in interface `RequestObjectBuilder`
  Parameters:
    `cancelAttestationRequestInput` - the object that holds the request input parameters
  Returns:
    a wrapper containing the valid request that will be sent to the WS
  Throws:
    `TechnicalConnectorException`

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSDENTIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.